//    WeIRCd administration tool
//    Copyright (C) 2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

struct controlnotebook {
	GtkWidget* notebook;
	GtkWidget* messageframe;
		GtkWidget* messagecolourbox;
			GtkWidget* messagehoribox;
				GtkWidget* messagelabelvbox;
					GtkWidget* messagelbl;
					GtkWidget* messagebuttonhbox;
				GtkWidget* messageimage;
	GtkWidget* tabc_start;
	GtkWidget* tabc_restart;
	GtkWidget* tabc_stop;
	GtkWidget* tabc_rehash;
	GtkWidget* value_status;
	GtkWidget* users_global;
	GtkWidget* users_local;
	GtkWidget* opers;
	struct tab* parenttab;
	struct settingstab s;
};
void gui_controlnotebook_CreateDefault(struct tab* parenttab, struct controlnotebook* c, GtkWidget* parent, const char* p);
#define MSGTYPE_INFO 1
#define MSGTYPE_ERROR 2
#define MSGTYPE_WARNING 3
void gui_controlnotebook_Msg(struct controlnotebook* c, const char* msg, int type);
void gui_controlbook_RemoveMsg(struct controlnotebook* c);
void gui_controlbook_Value(GtkWidget* value, const char* str, int type);