//    weircdservices module
//    Copyright (C) 2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

void privmsg_operserv(const char* user, const char* msg) {
	char response[513];
	char* cmd = alloca(strlen(msg)+1);
	char* params = alloca(strlen(msg)+1);
	strcpy(cmd,msg);trimleft(cmd);
	if (charpos(cmd,' ') > 0) {
		strcpy(params,cmd);
		cut(params,charpos(params,' ')+1);trimleft(params);trimright(params);
		cmd[charpos(cmd,' ')] = 0;
	}else{
		strcpy(params,"");
	}
	if (strlen(cmd) <= 0) {return;}
	if (weircd_user_IsIRCOp(user) != 0) {
		msguser(operserv,user,"\002Access denied.\002");return;
	}
	if (strcasecmp(cmd,"help") == 0) {
		trimleft(params);
		cutonfirstspace(params);
		if (strcasecmp(params,"") == 0) {
			msguser(operserv,user,"\002- OperServ help -\002");
			msguser(operserv,user,"-");
			msguser(operserv,user,"  OperServ helps managing the server and making");
			msguser(operserv,user,"   public announcements. Available commands are:");
			msguser(operserv,user,"   (type \002/msg operserv help <command>\002 to get");
			msguser(operserv,user,"    more information on one of those commands):");
			msguser(operserv,user,"       GLOBAL");
			return;
		}
		if (strcasecmp(params,"GLOBAL") == 0) {
			msguser(operserv,user,"\002- OperServ help - \"Global\" -\002");
			msguser(operserv,user,"-");
			msguser(operserv,user,"  Announce messages as global notices to \002all\002");
			msguser(operserv,user,"   users which are currently on the server.");
			msguser(operserv,user,"-");
			msguser(operserv,user,"  Usage: \002/msg operserv global <text>\002");
			return;
		}
		snprintf(response,499,"No help available for %s",params);
		response[499] = 0;
		msguser(operserv,user,response);
		return;
	}
	if (strcasecmp(cmd,"global") == 0) {
		snprintf(response,512,"NOTICEALL :[\002Global Announcement\002] by %s: %s",user,params);
		response[512] = 0;
		weircd_fakeuser_Send(global, response);
		return;
	}
	snprintf(response,499,"Unknown command. Type %c/OperServ help%c for help.",2,2);
	response[499] = 0;
	msguser(operserv,user,response);
}