//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "weircd.h"

  // called everytime when reading a new config
void readconfvars_Clear() {
	listdata_ClearNew();
}
  // called once when weircd starts
int readconfvars_Init() {
	configvars_ClearTemplates();
	if (configvars_AddTemplate(CONFVAR_STRING,"ServerName") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"ServerDesc") < 0) {return -1;}
	//if (configvars_AddTemplate(CONFVAR_INT,"bindport") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"Network") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"Pass") < 0) {return -1;}
	configvars_SetOptional();
	if (configvars_AddTemplate(CONFVAR_INT,"MaxChansPerUser") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"HelpChan") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"MotdFilePath") < 0) {return -1;}
	configvars_SetOptional();
	if (configvars_AddTemplate(CONFVAR_STRING,"GlineFilePath") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"KlineFilePath") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_INT,"FloodLevel") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_INT,"MaxConnsPerIp") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"vhost_guest") < 0) {return -1;}
	if (configvars_AddTemplate(CONFVAR_STRING,"vhost_user") < 0) {return -1;}
	return 0;
}
void readconfvars_Confirm() {
	configvars_Confirm();
	listdata_Confirm();
}